# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "nanograph-ffi"
version = "0.9.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "NanoGraph C ABI for Swift and other native clients"
readme = false
license = "MIT"
repository = "https://github.com/nanograph/nanograph"
resolver = "2"

[lib]
name = "nanograph_ffi"
crate-type = [
    "cdylib",
    "staticlib",
]
path = "src/lib.rs"

[dependencies.arrow-ipc]
version = "57"

[dependencies.nanograph]
version = "0.9.0"

[dependencies.serde_json]
version = "1"

[dependencies.tokio]
version = "1"
features = [
    "rt-multi-thread",
    "macros",
    "time",
]
